# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Mozilla Browser code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 2002
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#  Brian Ryner <bryner@brianryner.com>
#  Sergey Yanovich <ynvich@gmail.com>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk

MODULE		= storage
LIBRARY_NAME	= accstorage_t
SHORT_LIBNAME	= accst_t
EXPORT_LIBRARY	= 1
IS_COMPONENT	= 1
MODULE_NAME	= aaAccountTestModule

REQUIRES	= \
		  xpcom \
		  string \
		  storage \
		  xpunit \
		  base \
		  accounting \
		  $(NULL)

CPPSRCS		= \
		  aaAccountTest.cpp \
		  aaBug133Test.cpp \
		  aaCurrencyTest.cpp \
		  aaTaxRulesTest.cpp \
		  aaAccountTestModule.cpp \
		  $(NULL)

#SHARED_LIBRARY_LIBS += \
#		       $(DEPTH)/staticlib/$(LIB_PREFIX)aabase_u.$(LIB_SUFFIX) \
#		       $(NULL)

include $(topsrcdir)/config/rules.mk

LOCAL_INCLUDES	= \
		  -I$(srcdir)/../../base \
		  $(NULL)

EXTRA_DEPS	+=\
		   ../../base/aaSqlResult.$(OBJ_SUFFIX) \
		   ../../base/aaSqlChannel.$(OBJ_SUFFIX) \
		   ../../base/aaLoadBuilder.$(OBJ_SUFFIX) \
		   ../../base/aaSession.$(OBJ_SUFFIX) \
		   ../../base/aaSaveTransaction.$(OBJ_SUFFIX) \
		  $(NULL)

EXTRA_DSO_LDOPTS+= \
		   ../../base/aaSqlResult.$(OBJ_SUFFIX) \
		   ../../base/aaSqlChannel.$(OBJ_SUFFIX) \
		   ../../base/aaLoadBuilder.$(OBJ_SUFFIX) \
		   ../../base/aaSession.$(OBJ_SUFFIX) \
		   ../../base/aaSaveTransaction.$(OBJ_SUFFIX) \
		   $(XPCOM_GLUE_LDOPTS) \
		   $(NSPR_LIBS) \
		   $(call EXPAND_LIBNAME_PATH,aabase_u,$(DIST)/lib) \
		   $(NULL)
